Subject: Re: [PATCH v4 20/25] sequencer: refactor write_message()

From: Johannes Schindelin <[email-masked]>
Date: Sun, 23 Oct 2016 11:29:10 +0200 (CEST)

Hi Junio,

On Fri, 21 Oct 2016, Junio C Hamano wrote:

> Johannes Schindelin <[email-masked]> writes:
> 
> >> Ah, make that four steps.  The final one is:
> >> 
> >>     - add append_eol parameter that nobody uses at this step in the
> >>       series.
> >>
> >> This is a new feature to the helper.  While it is OK to have it as a
> >> preparatory step in this series, it is easier to understand if it
> >> kept as a separate step.  It is even more preferrable if it is made
> >> as a preparatory step in a series that adds a caller that passes
> >> true to append_eol to this helper...
> >
> > Done,
> > Dscho
> 
> Hmm, what has been done exactly?  I still see append_eol in v5 where
> nobody uses it yet.  Confused...

Your bullet point suggests that this change should be a separate patch. I
did that.

And since this patch series' purpose is to prepare the sequencer for the
upcoming series that teaches it to understand git-rebase-todo scripts,
this patch falls fair and square into the preparatory phase.

Ciao,
Dscho